> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# discord-apps

> Discord Apps

**Server path:** `/discord-apps` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                      | Description                                                                                  |
| ------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------- |
| [`discord-apps_applications_get_activity_instance`](#discord-apps_applications_get_activity_instance)                     | GET /applications/\{application\_id}/activity-instances/\{instance\_id}                      |
| [`discord-apps_bulk_set_application_commands`](#discord-apps_bulk_set_application_commands)                               | PUT /applications/\{application\_id}/commands                                                |
| [`discord-apps_bulk_set_guild_application_commands`](#discord-apps_bulk_set_guild_application_commands)                   | PUT /applications/\{application\_id}/guilds/\{guild\_id}/commands                            |
| [`discord-apps_consume_entitlement`](#discord-apps_consume_entitlement)                                                   | POST /applications/\{application\_id}/entitlements/\{entitlement\_id}/consume                |
| [`discord-apps_create_application_command`](#discord-apps_create_application_command)                                     | POST /applications/\{application\_id}/commands                                               |
| [`discord-apps_create_application_emoji`](#discord-apps_create_application_emoji)                                         | POST /applications/\{application\_id}/emojis                                                 |
| [`discord-apps_create_entitlement`](#discord-apps_create_entitlement)                                                     | POST /applications/\{application\_id}/entitlements                                           |
| [`discord-apps_create_guild_application_command`](#discord-apps_create_guild_application_command)                         | POST /applications/\{application\_id}/guilds/\{guild\_id}/commands                           |
| [`discord-apps_create_interaction_response`](#discord-apps_create_interaction_response)                                   | POST /interactions/\{interaction\_id}/\{interaction\_token}/callback                         |
| [`discord-apps_delete_application_command`](#discord-apps_delete_application_command)                                     | DELETE /applications/\{application\_id}/commands/\{command\_id}                              |
| [`discord-apps_delete_application_emoji`](#discord-apps_delete_application_emoji)                                         | DELETE /applications/\{application\_id}/emojis/\{emoji\_id}                                  |
| [`discord-apps_delete_entitlement`](#discord-apps_delete_entitlement)                                                     | DELETE /applications/\{application\_id}/entitlements/\{entitlement\_id}                      |
| [`discord-apps_delete_guild_application_command`](#discord-apps_delete_guild_application_command)                         | DELETE /applications/\{application\_id}/guilds/\{guild\_id}/commands/\{command\_id}          |
| [`discord-apps_get_application`](#discord-apps_get_application)                                                           | GET /applications/\{application\_id}                                                         |
| [`discord-apps_get_application_command`](#discord-apps_get_application_command)                                           | GET /applications/\{application\_id}/commands/\{command\_id}                                 |
| [`discord-apps_get_application_emoji`](#discord-apps_get_application_emoji)                                               | GET /applications/\{application\_id}/emojis/\{emoji\_id}                                     |
| [`discord-apps_get_application_role_connections_metadata`](#discord-apps_get_application_role_connections_metadata)       | GET /applications/\{application\_id}/role-connections/metadata                               |
| [`discord-apps_get_entitlement`](#discord-apps_get_entitlement)                                                           | GET /applications/\{application\_id}/entitlements/\{entitlement\_id}                         |
| [`discord-apps_get_entitlements`](#discord-apps_get_entitlements)                                                         | GET /applications/\{application\_id}/entitlements                                            |
| [`discord-apps_get_guild_application_command`](#discord-apps_get_guild_application_command)                               | GET /applications/\{application\_id}/guilds/\{guild\_id}/commands/\{command\_id}             |
| [`discord-apps_get_guild_application_command_permissions`](#discord-apps_get_guild_application_command_permissions)       | GET /applications/\{application\_id}/guilds/\{guild\_id}/commands/\{command\_id}/permissions |
| [`discord-apps_get_my_application`](#discord-apps_get_my_application)                                                     | GET /applications/@me                                                                        |
| [`discord-apps_list_application_commands`](#discord-apps_list_application_commands)                                       | GET /applications/\{application\_id}/commands                                                |
| [`discord-apps_list_application_emojis`](#discord-apps_list_application_emojis)                                           | GET /applications/\{application\_id}/emojis                                                  |
| [`discord-apps_list_guild_application_command_permissions`](#discord-apps_list_guild_application_command_permissions)     | GET /applications/\{application\_id}/guilds/\{guild\_id}/commands/permissions                |
| [`discord-apps_list_guild_application_commands`](#discord-apps_list_guild_application_commands)                           | GET /applications/\{application\_id}/guilds/\{guild\_id}/commands                            |
| [`discord-apps_set_guild_application_command_permissions`](#discord-apps_set_guild_application_command_permissions)       | PUT /applications/\{application\_id}/guilds/\{guild\_id}/commands/\{command\_id}/permissions |
| [`discord-apps_update_application`](#discord-apps_update_application)                                                     | PATCH /applications/\{application\_id}                                                       |
| [`discord-apps_update_application_command`](#discord-apps_update_application_command)                                     | PATCH /applications/\{application\_id}/commands/\{command\_id}                               |
| [`discord-apps_update_application_emoji`](#discord-apps_update_application_emoji)                                         | PATCH /applications/\{application\_id}/emojis/\{emoji\_id}                                   |
| [`discord-apps_update_application_role_connections_metadata`](#discord-apps_update_application_role_connections_metadata) | PUT /applications/\{application\_id}/role-connections/metadata                               |
| [`discord-apps_update_guild_application_command`](#discord-apps_update_guild_application_command)                         | PATCH /applications/\{application\_id}/guilds/\{guild\_id}/commands/\{command\_id}           |
| [`discord-apps_update_my_application`](#discord-apps_update_my_application)                                               | PATCH /applications/@me                                                                      |
| [`discord-apps_upload_application_attachment`](#discord-apps_upload_application_attachment)                               | POST /applications/\{application\_id}/attachment                                             |

***

## discord-apps\_applications\_get\_activity\_instance

GET /applications/\{application\_id}/activity-instances/\{instance\_id}

**Parameters:**

| Parameter        | Type   | Required | Default | Description    |
| ---------------- | ------ | -------- | ------- | -------------- |
| `application_id` | string | Yes      | —       | Application Id |
| `instance_id`    | string | Yes      | —       | Instance Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "instance_id": {
        "type": "string",
        "description": "Instance Id"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "instance_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_bulk\_set\_application\_commands

PUT /applications/\{application\_id}/commands

**Parameters:**

| Parameter        | Type      | Required | Default | Description    |
| ---------------- | --------- | -------- | ------- | -------------- |
| `application_id` | string    | Yes      | —       | Application Id |
| `body`           | object\[] | Yes      | —       | Request body   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "name": {
              "type": "string",
              "description": "The name value"
            },
            "name_localizations": {
              "type": "object",
              "description": "Name Localizations"
            },
            "description": {
              "type": "string",
              "description": "The description value"
            },
            "description_localizations": {
              "type": "object",
              "description": "Description Localizations"
            },
            "options": {
              "type": "array",
              "description": "The options value"
            },
            "default_member_permissions": {
              "type": "integer",
              "description": "Default Member Permissions"
            },
            "dm_permission": {
              "type": "boolean",
              "description": "Dm Permission"
            },
            "contexts": {
              "type": "array",
              "items": {
                "type": "integer"
              },
              "description": "The contexts value"
            },
            "integration_types": {
              "type": "array",
              "items": {
                "type": "integer"
              },
              "description": "Integration Types"
            },
            "handler": {
              "type": "integer",
              "format": "int32",
              "description": "Determines whether the interaction is handled by the app's interactions handler or by Discord"
            },
            "type": {
              "type": "integer",
              "format": "int32",
              "description": "The type value"
            },
            "id": {
              "type": "string",
              "format": "snowflake",
              "description": "The id value"
            }
          },
          "required": [
            "name"
          ]
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_bulk\_set\_guild\_application\_commands

PUT /applications/\{application\_id}/guilds/\{guild\_id}/commands

**Parameters:**

| Parameter        | Type      | Required | Default | Description    |
| ---------------- | --------- | -------- | ------- | -------------- |
| `application_id` | string    | Yes      | —       | Application Id |
| `guild_id`       | string    | Yes      | —       | Guild Id       |
| `body`           | object\[] | Yes      | —       | Request body   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "name": {
              "type": "string",
              "description": "The name value"
            },
            "name_localizations": {
              "type": "object",
              "description": "Name Localizations"
            },
            "description": {
              "type": "string",
              "description": "The description value"
            },
            "description_localizations": {
              "type": "object",
              "description": "Description Localizations"
            },
            "options": {
              "type": "array",
              "description": "The options value"
            },
            "default_member_permissions": {
              "type": "integer",
              "description": "Default Member Permissions"
            },
            "dm_permission": {
              "type": "boolean",
              "description": "Dm Permission"
            },
            "contexts": {
              "type": "array",
              "items": {
                "type": "integer"
              },
              "description": "The contexts value"
            },
            "integration_types": {
              "type": "array",
              "items": {
                "type": "integer"
              },
              "description": "Integration Types"
            },
            "handler": {
              "type": "integer",
              "format": "int32",
              "description": "Determines whether the interaction is handled by the app's interactions handler or by Discord"
            },
            "type": {
              "type": "integer",
              "format": "int32",
              "description": "The type value"
            },
            "id": {
              "type": "string",
              "format": "snowflake",
              "description": "The id value"
            }
          },
          "required": [
            "name"
          ]
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "guild_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_consume\_entitlement

POST /applications/\{application\_id}/entitlements/\{entitlement\_id}/consume

**Parameters:**

| Parameter        | Type   | Required | Default | Description    |
| ---------------- | ------ | -------- | ------- | -------------- |
| `application_id` | string | Yes      | —       | Application Id |
| `entitlement_id` | string | Yes      | —       | Entitlement Id |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "entitlement_id": {
        "type": "string",
        "description": "Entitlement Id"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "entitlement_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_create\_application\_command

POST /applications/\{application\_id}/commands

**Parameters:**

| Parameter                    | Type       | Required | Default | Description               |                                                                                               |
| ---------------------------- | ---------- | -------- | ------- | ------------------------- | --------------------------------------------------------------------------------------------- |
| `application_id`             | string     | Yes      | —       | Application Id            |                                                                                               |
| `contexts`                   | integer\[] | No       | —       | The contexts value        |                                                                                               |
| `default_member_permissions` | integer    | null     | No      | —                         | Default Member Permissions                                                                    |
| `description`                | string     | null     | No      | —                         | The description value                                                                         |
| `description_localizations`  | object     | No       | —       | Description Localizations |                                                                                               |
| `dm_permission`              | boolean    | null     | No      | —                         | Dm Permission                                                                                 |
| `handler`                    | integer    | null     | No      | —                         | Determines whether the interaction is handled by the app's interactions handler or by Discord |
| `integration_types`          | integer\[] | No       | —       | Integration Types         |                                                                                               |
| `name`                       | string     | Yes      | —       | The name value            |                                                                                               |
| `name_localizations`         | object     | No       | —       | Name Localizations        |                                                                                               |
| `options`                    | any\[]     | No       | —       | The options value         |                                                                                               |
| `type`                       | integer    | null     | No      | —                         | The type value                                                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "contexts": {
        "type": "array",
        "items": {
          "type": "integer",
          "format": "int32"
        },
        "description": "The contexts value"
      },
      "default_member_permissions": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Default Member Permissions"
      },
      "description": {
        "type": [
          "string",
          "null"
        ],
        "description": "The description value"
      },
      "description_localizations": {
        "type": "object",
        "description": "Description Localizations"
      },
      "dm_permission": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Dm Permission"
      },
      "handler": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Determines whether the interaction is handled by the app's interactions handler or by Discord"
      },
      "integration_types": {
        "type": "array",
        "items": {
          "type": "integer",
          "format": "int32"
        },
        "description": "Integration Types"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      },
      "name_localizations": {
        "type": "object",
        "description": "Name Localizations"
      },
      "options": {
        "type": "array",
        "description": "The options value"
      },
      "type": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The type value"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "name"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_create\_application\_emoji

POST /applications/\{application\_id}/emojis

**Parameters:**

| Parameter        | Type   | Required | Default | Description     |
| ---------------- | ------ | -------- | ------- | --------------- |
| `application_id` | string | Yes      | —       | Application Id  |
| `image`          | string | Yes      | —       | The image value |
| `name`           | string | Yes      | —       | The name value  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "image": {
        "type": "string",
        "description": "The image value"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "image",
      "name"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_create\_entitlement

POST /applications/\{application\_id}/entitlements

**Parameters:**

| Parameter        | Type    | Required | Default | Description    |
| ---------------- | ------- | -------- | ------- | -------------- |
| `application_id` | string  | Yes      | —       | Application Id |
| `owner_id`       | string  | Yes      | —       | Owner Id       |
| `owner_type`     | integer | Yes      | —       | Owner Type     |
| `sku_id`         | string  | Yes      | —       | Sku Id         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "owner_id": {
        "type": "string",
        "description": "Owner Id"
      },
      "owner_type": {
        "type": "integer",
        "description": "Owner Type"
      },
      "sku_id": {
        "type": "string",
        "description": "Sku Id"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "owner_id",
      "owner_type",
      "sku_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_create\_guild\_application\_command

POST /applications/\{application\_id}/guilds/\{guild\_id}/commands

**Parameters:**

| Parameter                    | Type       | Required | Default | Description               |                                                                                               |
| ---------------------------- | ---------- | -------- | ------- | ------------------------- | --------------------------------------------------------------------------------------------- |
| `application_id`             | string     | Yes      | —       | Application Id            |                                                                                               |
| `guild_id`                   | string     | Yes      | —       | Guild Id                  |                                                                                               |
| `contexts`                   | integer\[] | No       | —       | The contexts value        |                                                                                               |
| `default_member_permissions` | integer    | null     | No      | —                         | Default Member Permissions                                                                    |
| `description`                | string     | null     | No      | —                         | The description value                                                                         |
| `description_localizations`  | object     | No       | —       | Description Localizations |                                                                                               |
| `dm_permission`              | boolean    | null     | No      | —                         | Dm Permission                                                                                 |
| `handler`                    | integer    | null     | No      | —                         | Determines whether the interaction is handled by the app's interactions handler or by Discord |
| `integration_types`          | integer\[] | No       | —       | Integration Types         |                                                                                               |
| `name`                       | string     | Yes      | —       | The name value            |                                                                                               |
| `name_localizations`         | object     | No       | —       | Name Localizations        |                                                                                               |
| `options`                    | any\[]     | No       | —       | The options value         |                                                                                               |
| `type`                       | integer    | null     | No      | —                         | The type value                                                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "contexts": {
        "type": "array",
        "items": {
          "type": "integer",
          "format": "int32"
        },
        "description": "The contexts value"
      },
      "default_member_permissions": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Default Member Permissions"
      },
      "description": {
        "type": [
          "string",
          "null"
        ],
        "description": "The description value"
      },
      "description_localizations": {
        "type": "object",
        "description": "Description Localizations"
      },
      "dm_permission": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Dm Permission"
      },
      "handler": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Determines whether the interaction is handled by the app's interactions handler or by Discord"
      },
      "integration_types": {
        "type": "array",
        "items": {
          "type": "integer",
          "format": "int32"
        },
        "description": "Integration Types"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      },
      "name_localizations": {
        "type": "object",
        "description": "Name Localizations"
      },
      "options": {
        "type": "array",
        "description": "The options value"
      },
      "type": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The type value"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "guild_id",
      "name"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_create\_interaction\_response

POST /interactions/\{interaction\_id}/\{interaction\_token}/callback

**Parameters:**

| Parameter           | Type    | Required | Default | Description       |
| ------------------- | ------- | -------- | ------- | ----------------- |
| `interaction_id`    | string  | Yes      | —       | Interaction Id    |
| `interaction_token` | string  | Yes      | —       | Interaction Token |
| `with_response`     | boolean | No       | —       | With Response     |
| `body`              | object  | Yes      | —       | Request body      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "interaction_id": {
        "type": "string",
        "description": "Interaction Id"
      },
      "interaction_token": {
        "type": "string",
        "description": "Interaction Token"
      },
      "with_response": {
        "type": "boolean",
        "description": "With Response"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "interaction_id",
      "interaction_token",
      "body"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_delete\_application\_command

DELETE /applications/\{application\_id}/commands/\{command\_id}

**Parameters:**

| Parameter        | Type   | Required | Default | Description    |
| ---------------- | ------ | -------- | ------- | -------------- |
| `application_id` | string | Yes      | —       | Application Id |
| `command_id`     | string | Yes      | —       | Command Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "command_id": {
        "type": "string",
        "description": "Command Id"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "command_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_delete\_application\_emoji

DELETE /applications/\{application\_id}/emojis/\{emoji\_id}

**Parameters:**

| Parameter        | Type   | Required | Default | Description    |
| ---------------- | ------ | -------- | ------- | -------------- |
| `application_id` | string | Yes      | —       | Application Id |
| `emoji_id`       | string | Yes      | —       | Emoji Id       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "emoji_id": {
        "type": "string",
        "description": "Emoji Id"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "emoji_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_delete\_entitlement

DELETE /applications/\{application\_id}/entitlements/\{entitlement\_id}

**Parameters:**

| Parameter        | Type   | Required | Default | Description    |
| ---------------- | ------ | -------- | ------- | -------------- |
| `application_id` | string | Yes      | —       | Application Id |
| `entitlement_id` | string | Yes      | —       | Entitlement Id |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "entitlement_id": {
        "type": "string",
        "description": "Entitlement Id"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "entitlement_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_delete\_guild\_application\_command

DELETE /applications/\{application\_id}/guilds/\{guild\_id}/commands/\{command\_id}

**Parameters:**

| Parameter        | Type   | Required | Default | Description    |
| ---------------- | ------ | -------- | ------- | -------------- |
| `application_id` | string | Yes      | —       | Application Id |
| `guild_id`       | string | Yes      | —       | Guild Id       |
| `command_id`     | string | Yes      | —       | Command Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "command_id": {
        "type": "string",
        "description": "Command Id"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "guild_id",
      "command_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_get\_application

GET /applications/\{application\_id}

**Parameters:**

| Parameter        | Type   | Required | Default | Description    |
| ---------------- | ------ | -------- | ------- | -------------- |
| `application_id` | string | Yes      | —       | Application Id |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      }
    },
    "required": [
      "PCID",
      "application_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_get\_application\_command

GET /applications/\{application\_id}/commands/\{command\_id}

**Parameters:**

| Parameter        | Type   | Required | Default | Description    |
| ---------------- | ------ | -------- | ------- | -------------- |
| `application_id` | string | Yes      | —       | Application Id |
| `command_id`     | string | Yes      | —       | Command Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "command_id": {
        "type": "string",
        "description": "Command Id"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "command_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_get\_application\_emoji

GET /applications/\{application\_id}/emojis/\{emoji\_id}

**Parameters:**

| Parameter        | Type   | Required | Default | Description    |
| ---------------- | ------ | -------- | ------- | -------------- |
| `application_id` | string | Yes      | —       | Application Id |
| `emoji_id`       | string | Yes      | —       | Emoji Id       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "emoji_id": {
        "type": "string",
        "description": "Emoji Id"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "emoji_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_get\_application\_role\_connections\_metadata

GET /applications/\{application\_id}/role-connections/metadata

**Parameters:**

| Parameter        | Type   | Required | Default | Description    |
| ---------------- | ------ | -------- | ------- | -------------- |
| `application_id` | string | Yes      | —       | Application Id |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      }
    },
    "required": [
      "PCID",
      "application_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_get\_entitlement

GET /applications/\{application\_id}/entitlements/\{entitlement\_id}

**Parameters:**

| Parameter        | Type   | Required | Default | Description    |
| ---------------- | ------ | -------- | ------- | -------------- |
| `application_id` | string | Yes      | —       | Application Id |
| `entitlement_id` | string | Yes      | —       | Entitlement Id |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "entitlement_id": {
        "type": "string",
        "description": "Entitlement Id"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "entitlement_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_get\_entitlements

GET /applications/\{application\_id}/entitlements

**Parameters:**

| Parameter         | Type      | Required | Default | Description                         |
| ----------------- | --------- | -------- | ------- | ----------------------------------- |
| `application_id`  | string    | Yes      | —       | Application Id                      |
| `user_id`         | string    | No       | —       | User Id                             |
| `sku_ids`         | string\[] | No       | —       | Sku Ids                             |
| `guild_id`        | string    | No       | —       | Guild Id                            |
| `before`          | string    | No       | —       | The before value                    |
| `after`           | string    | No       | —       | The after value                     |
| `limit`           | integer   | No       | —       | Maximum number of results to return |
| `exclude_ended`   | boolean   | No       | —       | Exclude Ended                       |
| `exclude_deleted` | boolean   | No       | —       | Exclude Deleted                     |
| `only_active`     | boolean   | No       | —       | Only Active                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "user_id": {
        "type": "string",
        "description": "User Id"
      },
      "sku_ids": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "snowflake"
        },
        "description": "Sku Ids"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "before": {
        "type": "string",
        "description": "The before value"
      },
      "after": {
        "type": "string",
        "description": "The after value"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "exclude_ended": {
        "type": "boolean",
        "description": "Exclude Ended"
      },
      "exclude_deleted": {
        "type": "boolean",
        "description": "Exclude Deleted"
      },
      "only_active": {
        "type": "boolean",
        "description": "Only Active"
      }
    },
    "required": [
      "PCID",
      "application_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_get\_guild\_application\_command

GET /applications/\{application\_id}/guilds/\{guild\_id}/commands/\{command\_id}

**Parameters:**

| Parameter        | Type   | Required | Default | Description    |
| ---------------- | ------ | -------- | ------- | -------------- |
| `application_id` | string | Yes      | —       | Application Id |
| `guild_id`       | string | Yes      | —       | Guild Id       |
| `command_id`     | string | Yes      | —       | Command Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "command_id": {
        "type": "string",
        "description": "Command Id"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "guild_id",
      "command_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_get\_guild\_application\_command\_permissions

GET /applications/\{application\_id}/guilds/\{guild\_id}/commands/\{command\_id}/permissions

**Parameters:**

| Parameter        | Type   | Required | Default | Description    |
| ---------------- | ------ | -------- | ------- | -------------- |
| `application_id` | string | Yes      | —       | Application Id |
| `guild_id`       | string | Yes      | —       | Guild Id       |
| `command_id`     | string | Yes      | —       | Command Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "command_id": {
        "type": "string",
        "description": "Command Id"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "guild_id",
      "command_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_get\_my\_application

GET /applications/@me

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_list\_application\_commands

GET /applications/\{application\_id}/commands

**Parameters:**

| Parameter            | Type    | Required | Default | Description        |
| -------------------- | ------- | -------- | ------- | ------------------ |
| `application_id`     | string  | Yes      | —       | Application Id     |
| `with_localizations` | boolean | No       | —       | With Localizations |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "with_localizations": {
        "type": "boolean",
        "description": "With Localizations"
      }
    },
    "required": [
      "PCID",
      "application_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_list\_application\_emojis

GET /applications/\{application\_id}/emojis

**Parameters:**

| Parameter        | Type   | Required | Default | Description    |
| ---------------- | ------ | -------- | ------- | -------------- |
| `application_id` | string | Yes      | —       | Application Id |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      }
    },
    "required": [
      "PCID",
      "application_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_list\_guild\_application\_command\_permissions

GET /applications/\{application\_id}/guilds/\{guild\_id}/commands/permissions

**Parameters:**

| Parameter        | Type   | Required | Default | Description    |
| ---------------- | ------ | -------- | ------- | -------------- |
| `application_id` | string | Yes      | —       | Application Id |
| `guild_id`       | string | Yes      | —       | Guild Id       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_list\_guild\_application\_commands

GET /applications/\{application\_id}/guilds/\{guild\_id}/commands

**Parameters:**

| Parameter            | Type    | Required | Default | Description        |
| -------------------- | ------- | -------- | ------- | ------------------ |
| `application_id`     | string  | Yes      | —       | Application Id     |
| `guild_id`           | string  | Yes      | —       | Guild Id           |
| `with_localizations` | boolean | No       | —       | With Localizations |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "with_localizations": {
        "type": "boolean",
        "description": "With Localizations"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_set\_guild\_application\_command\_permissions

PUT /applications/\{application\_id}/guilds/\{guild\_id}/commands/\{command\_id}/permissions

**Parameters:**

| Parameter        | Type      | Required | Default | Description           |
| ---------------- | --------- | -------- | ------- | --------------------- |
| `application_id` | string    | Yes      | —       | Application Id        |
| `guild_id`       | string    | Yes      | —       | Guild Id              |
| `command_id`     | string    | Yes      | —       | Command Id            |
| `permissions`    | object\[] | No       | —       | The permissions value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "command_id": {
        "type": "string",
        "description": "Command Id"
      },
      "permissions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "string",
              "format": "snowflake",
              "description": "The id value"
            },
            "type": {
              "type": "integer",
              "format": "int32",
              "description": "The type value"
            },
            "permission": {
              "type": "boolean",
              "description": "The permission value"
            }
          },
          "required": [
            "id",
            "type",
            "permission"
          ]
        },
        "description": "The permissions value"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "guild_id",
      "command_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_update\_application

PATCH /applications/\{application\_id}

**Parameters:**

| Parameter                           | Type      | Required | Default | Description              |                                                          |
| ----------------------------------- | --------- | -------- | ------- | ------------------------ | -------------------------------------------------------- |
| `application_id`                    | string    | Yes      | —       | Application Id           |                                                          |
| `cover_image`                       | string    | null     | No      | —                        | Cover Image                                              |
| `custom_install_url`                | string    | null     | No      | —                        | Custom Install Url                                       |
| `description`                       | object    | No       | —       | The description value    |                                                          |
| `event_webhooks_status`             | integer   | null     | No      | —                        | Event Webhooks Status                                    |
| `event_webhooks_types`              | string\[] | No       | —       | Event Webhooks Types     |                                                          |
| `event_webhooks_url`                | string    | null     | No      | —                        | Event webhooks URL for the app to receive webhook events |
| `explicit_content_filter`           | integer   | null     | No      | —                        | Explicit Content Filter                                  |
| `flags`                             | integer   | null     | No      | —                        | The flags value                                          |
| `icon`                              | string    | null     | No      | —                        | The icon value                                           |
| `install_params`                    | object    | No       | —       | Install Params           |                                                          |
| `integration_types_config`          | object    | No       | —       | Integration Types Config |                                                          |
| `interactions_endpoint_url`         | string    | null     | No      | —                        | Interactions Endpoint Url                                |
| `max_participants`                  | integer   | null     | No      | —                        | Max Participants                                         |
| `role_connections_verification_url` | string    | null     | No      | —                        | Role Connections Verification Url                        |
| `tags`                              | string\[] | No       | —       | The tags value           |                                                          |
| `team_id`                           | string    | null     | No      | —                        | Team Id                                                  |
| `type`                              | integer   | null     | No      | —                        | The type value                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "cover_image": {
        "type": [
          "string",
          "null"
        ],
        "description": "Cover Image"
      },
      "custom_install_url": {
        "type": [
          "string",
          "null"
        ],
        "description": "Custom Install Url"
      },
      "description": {
        "type": "object",
        "description": "The description value",
        "properties": {
          "default": {
            "type": "string",
            "description": "The default value"
          },
          "localizations": {
            "type": "object",
            "description": "The localizations value"
          }
        },
        "required": [
          "default"
        ]
      },
      "event_webhooks_status": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Event Webhooks Status",
        "enum": [
          1,
          2
        ]
      },
      "event_webhooks_types": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "APPLICATION_AUTHORIZED",
            "APPLICATION_DEAUTHORIZED",
            "ENTITLEMENT_CREATE",
            "ENTITLEMENT_DELETE",
            "ENTITLEMENT_UPDATE",
            "GAME_DIRECT_MESSAGE_CREATE",
            "GAME_DIRECT_MESSAGE_DELETE",
            "GAME_DIRECT_MESSAGE_UPDATE",
            "LOBBY_MESSAGE_CREATE",
            "LOBBY_MESSAGE_DELETE",
            "LOBBY_MESSAGE_UPDATE",
            "QUEST_USER_ENROLLMENT"
          ]
        },
        "description": "Event Webhooks Types"
      },
      "event_webhooks_url": {
        "type": [
          "string",
          "null"
        ],
        "description": "Event webhooks URL for the app to receive webhook events"
      },
      "explicit_content_filter": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Explicit Content Filter"
      },
      "flags": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The flags value"
      },
      "icon": {
        "type": [
          "string",
          "null"
        ],
        "description": "The icon value"
      },
      "install_params": {
        "type": "object",
        "description": "Install Params",
        "properties": {
          "scopes": {
            "type": "array",
            "items": {
              "type": "string",
              "enum": [
                "applications.commands",
                "bot"
              ]
            },
            "description": "The scopes value"
          },
          "permissions": {
            "type": "integer",
            "description": "The permissions value"
          }
        }
      },
      "integration_types_config": {
        "type": "object",
        "description": "Integration Types Config"
      },
      "interactions_endpoint_url": {
        "type": [
          "string",
          "null"
        ],
        "description": "Interactions Endpoint Url"
      },
      "max_participants": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Max Participants"
      },
      "role_connections_verification_url": {
        "type": [
          "string",
          "null"
        ],
        "description": "Role Connections Verification Url"
      },
      "tags": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The tags value"
      },
      "team_id": {
        "type": [
          "string",
          "null"
        ],
        "description": "Team Id"
      },
      "type": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The type value"
      }
    },
    "required": [
      "PCID",
      "application_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_update\_application\_command

PATCH /applications/\{application\_id}/commands/\{command\_id}

**Parameters:**

| Parameter                    | Type       | Required | Default | Description               |                                                                                               |
| ---------------------------- | ---------- | -------- | ------- | ------------------------- | --------------------------------------------------------------------------------------------- |
| `application_id`             | string     | Yes      | —       | Application Id            |                                                                                               |
| `command_id`                 | string     | Yes      | —       | Command Id                |                                                                                               |
| `contexts`                   | integer\[] | No       | —       | The contexts value        |                                                                                               |
| `default_member_permissions` | integer    | null     | No      | —                         | Default Member Permissions                                                                    |
| `description`                | string     | null     | No      | —                         | The description value                                                                         |
| `description_localizations`  | object     | No       | —       | Description Localizations |                                                                                               |
| `dm_permission`              | boolean    | null     | No      | —                         | Dm Permission                                                                                 |
| `handler`                    | integer    | null     | No      | —                         | Determines whether the interaction is handled by the app's interactions handler or by Discord |
| `integration_types`          | integer\[] | No       | —       | Integration Types         |                                                                                               |
| `name`                       | string     | No       | —       | The name value            |                                                                                               |
| `name_localizations`         | object     | No       | —       | Name Localizations        |                                                                                               |
| `options`                    | any\[]     | No       | —       | The options value         |                                                                                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "command_id": {
        "type": "string",
        "description": "Command Id"
      },
      "contexts": {
        "type": "array",
        "items": {
          "type": "integer",
          "format": "int32"
        },
        "description": "The contexts value"
      },
      "default_member_permissions": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Default Member Permissions"
      },
      "description": {
        "type": [
          "string",
          "null"
        ],
        "description": "The description value"
      },
      "description_localizations": {
        "type": "object",
        "description": "Description Localizations"
      },
      "dm_permission": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Dm Permission"
      },
      "handler": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Determines whether the interaction is handled by the app's interactions handler or by Discord"
      },
      "integration_types": {
        "type": "array",
        "items": {
          "type": "integer",
          "format": "int32"
        },
        "description": "Integration Types"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      },
      "name_localizations": {
        "type": "object",
        "description": "Name Localizations"
      },
      "options": {
        "type": "array",
        "description": "The options value"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "command_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_update\_application\_emoji

PATCH /applications/\{application\_id}/emojis/\{emoji\_id}

**Parameters:**

| Parameter        | Type   | Required | Default | Description    |
| ---------------- | ------ | -------- | ------- | -------------- |
| `application_id` | string | Yes      | —       | Application Id |
| `emoji_id`       | string | Yes      | —       | Emoji Id       |
| `name`           | string | No       | —       | The name value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "emoji_id": {
        "type": "string",
        "description": "Emoji Id"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "emoji_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_update\_application\_role\_connections\_metadata

PUT /applications/\{application\_id}/role-connections/metadata

**Parameters:**

| Parameter        | Type      | Required | Default | Description    |
| ---------------- | --------- | -------- | ------- | -------------- |
| `application_id` | string    | Yes      | —       | Application Id |
| `body`           | object\[] | Yes      | —       | Request body   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "type": {
              "type": "integer",
              "format": "int32",
              "description": "The type value"
            },
            "key": {
              "type": "string",
              "description": "The key value"
            },
            "name": {
              "type": "string",
              "description": "The name value"
            },
            "name_localizations": {
              "type": "object",
              "description": "Name Localizations"
            },
            "description": {
              "type": "string",
              "description": "The description value"
            },
            "description_localizations": {
              "type": "object",
              "description": "Description Localizations"
            }
          },
          "required": [
            "type",
            "key",
            "name",
            "description"
          ]
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_update\_guild\_application\_command

PATCH /applications/\{application\_id}/guilds/\{guild\_id}/commands/\{command\_id}

**Parameters:**

| Parameter                    | Type       | Required | Default | Description               |                                                                                               |
| ---------------------------- | ---------- | -------- | ------- | ------------------------- | --------------------------------------------------------------------------------------------- |
| `application_id`             | string     | Yes      | —       | Application Id            |                                                                                               |
| `guild_id`                   | string     | Yes      | —       | Guild Id                  |                                                                                               |
| `command_id`                 | string     | Yes      | —       | Command Id                |                                                                                               |
| `contexts`                   | integer\[] | No       | —       | The contexts value        |                                                                                               |
| `default_member_permissions` | integer    | null     | No      | —                         | Default Member Permissions                                                                    |
| `description`                | string     | null     | No      | —                         | The description value                                                                         |
| `description_localizations`  | object     | No       | —       | Description Localizations |                                                                                               |
| `dm_permission`              | boolean    | null     | No      | —                         | Dm Permission                                                                                 |
| `handler`                    | integer    | null     | No      | —                         | Determines whether the interaction is handled by the app's interactions handler or by Discord |
| `integration_types`          | integer\[] | No       | —       | Integration Types         |                                                                                               |
| `name`                       | string     | No       | —       | The name value            |                                                                                               |
| `name_localizations`         | object     | No       | —       | Name Localizations        |                                                                                               |
| `options`                    | any\[]     | No       | —       | The options value         |                                                                                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "command_id": {
        "type": "string",
        "description": "Command Id"
      },
      "contexts": {
        "type": "array",
        "items": {
          "type": "integer",
          "format": "int32"
        },
        "description": "The contexts value"
      },
      "default_member_permissions": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Default Member Permissions"
      },
      "description": {
        "type": [
          "string",
          "null"
        ],
        "description": "The description value"
      },
      "description_localizations": {
        "type": "object",
        "description": "Description Localizations"
      },
      "dm_permission": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Dm Permission"
      },
      "handler": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Determines whether the interaction is handled by the app's interactions handler or by Discord"
      },
      "integration_types": {
        "type": "array",
        "items": {
          "type": "integer",
          "format": "int32"
        },
        "description": "Integration Types"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      },
      "name_localizations": {
        "type": "object",
        "description": "Name Localizations"
      },
      "options": {
        "type": "array",
        "description": "The options value"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "guild_id",
      "command_id"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_update\_my\_application

PATCH /applications/@me

**Parameters:**

| Parameter                           | Type      | Required | Default | Description              |                                                          |
| ----------------------------------- | --------- | -------- | ------- | ------------------------ | -------------------------------------------------------- |
| `cover_image`                       | string    | null     | No      | —                        | Cover Image                                              |
| `custom_install_url`                | string    | null     | No      | —                        | Custom Install Url                                       |
| `description`                       | object    | No       | —       | The description value    |                                                          |
| `event_webhooks_status`             | integer   | null     | No      | —                        | Event Webhooks Status                                    |
| `event_webhooks_types`              | string\[] | No       | —       | Event Webhooks Types     |                                                          |
| `event_webhooks_url`                | string    | null     | No      | —                        | Event webhooks URL for the app to receive webhook events |
| `explicit_content_filter`           | integer   | null     | No      | —                        | Explicit Content Filter                                  |
| `flags`                             | integer   | null     | No      | —                        | The flags value                                          |
| `icon`                              | string    | null     | No      | —                        | The icon value                                           |
| `install_params`                    | object    | No       | —       | Install Params           |                                                          |
| `integration_types_config`          | object    | No       | —       | Integration Types Config |                                                          |
| `interactions_endpoint_url`         | string    | null     | No      | —                        | Interactions Endpoint Url                                |
| `max_participants`                  | integer   | null     | No      | —                        | Max Participants                                         |
| `role_connections_verification_url` | string    | null     | No      | —                        | Role Connections Verification Url                        |
| `tags`                              | string\[] | No       | —       | The tags value           |                                                          |
| `team_id`                           | string    | null     | No      | —                        | Team Id                                                  |
| `type`                              | integer   | null     | No      | —                        | The type value                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "cover_image": {
        "type": [
          "string",
          "null"
        ],
        "description": "Cover Image"
      },
      "custom_install_url": {
        "type": [
          "string",
          "null"
        ],
        "description": "Custom Install Url"
      },
      "description": {
        "type": "object",
        "description": "The description value",
        "properties": {
          "default": {
            "type": "string",
            "description": "The default value"
          },
          "localizations": {
            "type": "object",
            "description": "The localizations value"
          }
        },
        "required": [
          "default"
        ]
      },
      "event_webhooks_status": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Event Webhooks Status",
        "enum": [
          1,
          2
        ]
      },
      "event_webhooks_types": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "APPLICATION_AUTHORIZED",
            "APPLICATION_DEAUTHORIZED",
            "ENTITLEMENT_CREATE",
            "ENTITLEMENT_DELETE",
            "ENTITLEMENT_UPDATE",
            "GAME_DIRECT_MESSAGE_CREATE",
            "GAME_DIRECT_MESSAGE_DELETE",
            "GAME_DIRECT_MESSAGE_UPDATE",
            "LOBBY_MESSAGE_CREATE",
            "LOBBY_MESSAGE_DELETE",
            "LOBBY_MESSAGE_UPDATE",
            "QUEST_USER_ENROLLMENT"
          ]
        },
        "description": "Event Webhooks Types"
      },
      "event_webhooks_url": {
        "type": [
          "string",
          "null"
        ],
        "description": "Event webhooks URL for the app to receive webhook events"
      },
      "explicit_content_filter": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Explicit Content Filter"
      },
      "flags": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The flags value"
      },
      "icon": {
        "type": [
          "string",
          "null"
        ],
        "description": "The icon value"
      },
      "install_params": {
        "type": "object",
        "description": "Install Params",
        "properties": {
          "scopes": {
            "type": "array",
            "items": {
              "type": "string",
              "enum": [
                "applications.commands",
                "bot"
              ]
            },
            "description": "The scopes value"
          },
          "permissions": {
            "type": "integer",
            "description": "The permissions value"
          }
        }
      },
      "integration_types_config": {
        "type": "object",
        "description": "Integration Types Config"
      },
      "interactions_endpoint_url": {
        "type": [
          "string",
          "null"
        ],
        "description": "Interactions Endpoint Url"
      },
      "max_participants": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Max Participants"
      },
      "role_connections_verification_url": {
        "type": [
          "string",
          "null"
        ],
        "description": "Role Connections Verification Url"
      },
      "tags": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The tags value"
      },
      "team_id": {
        "type": [
          "string",
          "null"
        ],
        "description": "Team Id"
      },
      "type": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The type value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## discord-apps\_upload\_application\_attachment

POST /applications/\{application\_id}/attachment

**Parameters:**

| Parameter        | Type   | Required | Default | Description    |
| ---------------- | ------ | -------- | ------- | -------------- |
| `application_id` | string | Yes      | —       | Application Id |
| `file`           | string | Yes      | —       | The file value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "application_id": {
        "type": "string",
        "description": "Application Id"
      },
      "file": {
        "type": "string",
        "description": "The file value"
      }
    },
    "required": [
      "PCID",
      "application_id",
      "file"
    ]
  }
  ```
</Expandable>
